
#body {
    height: 34vw;
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-image: url(image/login.png);
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: center;
    
}

.login-form {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 25vw;
    max-height: 25vw;
    border-radius: 2vw;
    background-color: rgba(0, 0, 0, 0.1);
    margin: 8vw auto;
    align-content: center;
    backdrop-filter: blur(0.1vw);
    font-family: Verdana,sans-serif;
}

.register-form {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 25vw;
    max-height: 27.5vw;
    border-radius: 2vw;
    background-color: rgba(0, 0, 0, 0.1);
    margin: 5vw auto;
    align-content: center;
    backdrop-filter: blur(0.1vw);
    font-family: Verdana,sans-serif;
}

.register-form form {
    width: 20vw;
    margin: 2.5vw auto;
    display: flex;
    flex-direction: column;
    gap: 1.25vw;
}

.login-form form {
    width: 20vw;
    margin: 2.5vw auto;
    display: flex;
    flex-direction: column;
    gap: 1.25vw;
}

.input-container {
    position: relative;
    margin-bottom: 0.5vw;
}

.input-field {
    width: 20vw;
    padding: 1.25vw 1vw 0.75vw 1vw;
    border: none;
    border-radius: 1vw 0 1vw 0;
    background-color: white;
    font-size: 1.3vw;
    outline: none;
    font-family: Verdana,sans-serif;
    color: grey;
    top: 50%;
    box-shadow: 0.1vw 0.1vw 1vw rgba(0, 0, 0, 0.5);
}

.input-label {
    font-size: 1.3vw;
    font-family: Verdana,sans-serif; 
    border-radius: 1vw 0vw 1vw 0vw;
    padding: 0vw;
    position: absolute;
    color: grey;
    top: 50%;
    left: 1vw;
    transform: translateY(-50%);
    transition: scale 0.3s ease, top 0.3s ease, color 0.3s ease, background-color 0.3s ease;
}

.input-field:focus+.label-e, .input-field:not(:placeholder-shown)+.label-e {
    top: -10%;
    left: 0.3vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 0.5vw 1vw 0.45vw 1vw;
    margin: 0;
}

.input-field:focus+.label-p, .input-field:not(:placeholder-shown)+.label-p {
    top: -10%;
    left: 0.05vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 0.5vw 1vw 0.45vw 1vw;
    margin: 0;
}

.input-field:focus+.label-rp, .input-field:not(:placeholder-shown)+.label-rp {
    top: -10%;
    left: -0.65vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 0.5vw 1vw 0.45vw 1vw;
    margin: 0;
}

.register-btn-nl, .login-btn-nl {
    width: 11vw !important;
}

.login-btn, .register-btn {
    border-radius: 1vw 0 1vw 0;
    background-color: #8BC53F;
    border: none;
    color: white;
    text-align: center;
    font-size: 1.3vw;
    height: 3vw;
    width: 10vw;
    transition: all 0.5s;
    cursor: pointer;
    letter-spacing: 0.1vw;
    text-decoration: none;
    font-weight: bold;
    overflow: hidden;
    margin: 0 auto;
    box-shadow: 0.1vw 0.1vw 1vw rgba(0, 0, 0, 0.5);
  }
  
.login-btn, .register-btn {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: padding-right 0.3s ease, padding-left 0.3s ease;
  }
  
.login-btn:after, .register-btn:after {
    content: '❯';
    position: absolute;
    opacity: 0;  
    top: 0.5vw;
    right: -1vw;
    transition: right 0.3s ease, opacity 0.3s ease;
    color: #2B388F;
  }
  
.login-btn:hover, .register-btn:hover {
    padding-right: 1.5vw;
    padding-left: 0vw;
  }

.login-btn:hover:after {
    opacity: 1;
    right: 1.5vw;
  }

.register-btn:hover:after {
    opacity: 1;
    right: 1vw;
  }

  @media screen and (max-width: 768px) {
    
#body {
    height: 192vw;
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    background-image: url(image/login-mobile.png);
    background-size: 100% auto;
    background-repeat: no-repeat;
    background-position: center;
    
}

.login-form {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 80vw;
    max-height: 100vw;
    border-radius: 2vw;
    background-color: rgba(0, 0, 0, 0.1);
    margin: 10vw auto;
    align-content: center;
    backdrop-filter: blur(0.1vw);
    font-family: Verdana,sans-serif;
}

.register-form {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    width: 80vw;
    max-height: 100vw;
    border-radius: 2vw;
    background-color: rgba(0, 0, 0, 0.1);
    margin: 10vw auto;
    align-content: center;
    backdrop-filter: blur(0.1vw);
    font-family: Verdana,sans-serif;
}

.register-form form {
    width: 60vw;
    margin: 10vw auto;
    display: flex;
    flex-direction: column;
    gap: 5vw;
}

.login-form form {
    width: 60vw;
    margin: 10vw auto;
    display: flex;
    flex-direction: column;
    gap: 5vw;
}

.input-container {
    position: relative;
    margin-bottom: 1vw;
}

.input-field {
    width: 100%;
    padding: 2.5vw 2vw 1.5vw 2vw;
    border: none;
    border-radius: 2vw 0 2vw 0;
    background-color: white;
    font-size: 4vw;
    outline: none;
    font-family: Verdana,sans-serif;
    color: grey;
    top: 50%;
    box-shadow: 0.1vw 0.1vw 1vw rgba(0, 0, 0, 0.5);
}

.input-label {
    font-size: 4vw;
    font-family: Verdana,sans-serif; 
    border-radius: 2vw 0vw 2vw 0vw;
    padding: 0vw;
    position: absolute;
    color: grey;
    top: 50%;
    left: 3vw;
    transform: translateY(-50%);
    transition: scale 0.3s ease, top 0.3s ease, color 0.3s ease, background-color 0.3s ease;
}

.input-field:focus+.label-e, .input-field:not(:placeholder-shown)+.label-e {
    top: -10%;
    left: 0.6vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 1vw 2vw 0.9vw 2vw;
    margin: 0;
}

.input-field:focus+.label-p, .input-field:not(:placeholder-shown)+.label-p {
    top: -10%;
    left: 0.1vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 1vw 2vw 0.9vw 2vw;
    margin: 0;
}

.input-field:focus+.label-rp, .input-field:not(:placeholder-shown)+.label-rp {
    top: -10%;
    left: -1.3vw;
    scale: 0.75;
    color: white;
    background-color: #2B388F;
    padding: 1vw 2vw 0.9vw 2vw;
    margin: 0;
}

.register-btn-nl, .login-btn-nl {
    width: 35vw !important;
}

.login-btn, .register-btn {
    border-radius: 2vw 0 2vw 0;
    background-color: #8BC53F;
    border: none;
    color: white;
    text-align: center;
    font-size: 4vw;
    height: 10vw;
    width: 30vw;
    transition: all 0.5s;
    cursor: pointer;
    letter-spacing: 0.2vw;
    text-decoration: none;
    font-weight: bold;
    overflow: hidden;
    margin: 0 auto;
    box-shadow: 0.1vw 0.1vw 1vw rgba(0, 0, 0, 0.5);
  }
  
.login-btn, .register-btn {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: padding-right 0.3s ease, padding-left 0.3s ease;
  }
  
.login-btn:after, .register-btn:after {
    content: '❯';
    position: absolute;
    opacity: 0;  
    top: 2vw;
    right: -1vw;
    transition: right 0.3s ease, opacity 0.3s ease;
    color: #2B388F;
  }
  
.login-btn:hover, .register-btn:hover {
    padding-right: 3vw;
    padding-left: 0vw;
  }

.login-btn:hover:after {
    opacity: 1;
    right: 5vw;
  }

.register-btn:hover:after {
    opacity: 1;
    right: 4vw;
  }
  }